import marimo

__generated_with = "0.15.2"
app = marimo.App(width="medium")


@app.cell
def _():
    import marimo as mo
    return (mo,)


@app.cell
def _(mo):
    mo.md(r"""# Shell: Ejecucion de comandos de terminal""")
    return


@app.cell
def _():
    import sys
    import os
    sys.path.append(os.path.join(os.environ["SNIPPETS_ROUTE"], "widgets"))

    # Ahora ya puedes importar normal
    from marimo_shell import shell, ShellWidget
    return (ShellWidget,)


@app.cell
def _(ShellWidget):
    console = ShellWidget(command="cd /; ls -la", run=True)
    console
    return


if __name__ == "__main__":
    app.run()
